package com.heda.apk_admin.utils;


import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingDeque;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class AsyncHandler {
    private final ThreadPoolExecutor threadPoolExecutor;

    public AsyncHandler() {
        BlockingQueue<Runnable> workQueue = new LinkedBlockingDeque<>();
        threadPoolExecutor = new ThreadPoolExecutor(1, 1, 1, TimeUnit.SECONDS, workQueue);
    }

    public void run(Runnable runnable) {
        threadPoolExecutor.execute(runnable);
    }

    public void stop() {
        threadPoolExecutor.shutdown();
    }
}
